Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class InvitationSearchCriteria

    java.lang.Object
      com.bea.netuix.application.communities.InvitationSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class InvitationSearchCriteria

extends Object
implements SearchCriteria

`SearchCriteria` implementation used to specify a search operation to retrieve Communities `Invitations`. This class can be used to specify search criteria for retrieving `Invitations` via the `ICommunityMemberManager`. Searching can be performed by any ANDed combination of CommunityDefinitionId, the wls username of the sender, the wls username of the recipient `Invitee`, the `InvitationStatus` and the string portion of the `MessagingAddress` for the recipient `Invitee`. Sort ordering supported by this class includes: sorting by username, sorting by invitee messaging address, sorting by status, sorting by creation date of the invitation, and sorting by the wls username of the inviter (the "from" user). Additionally, sort order may be either ascending (default) or set to descending if desired.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Field Summary
`protected CommunityDefinitionId` | `communityId`
`protected String` | `fromWlsUserName`
`protected FilterMethod` | `fromWlsUserNameFilter`
`protected InvitationStatus` | `invitationStatus`
`protected String` | `inviteAddress`
`protected FilterMethod` | `inviteAddressFilter`
`static String` | `ORDER_BY_FROM` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_INVITE_ADDRESS` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_INVITE_DATE` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_STATUS` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_USERNAME` Constant used to indicate the field used to order query results- used in the orderBy() method.
`protected String` | `userName`
`protected FilterMethod` | `userNameFilter`

Constructor Summary
`InvitationSearchCriteria()` Default no arg constructor that does not set any search criteria.
`InvitationSearchCriteria(CommunityDefinitionId communityId)` Constructor that sets a single search criteria, the `CommunityDefinitionId` of the `Invitations` to search for.

Method Summary
`InvitationSearchCriteria` | `copy()`
`CommunityDefinitionId` | `getCommunityId()`
`String` | `getFromWlsUserNameCriteria()`
`FilterMethod` | `getFromWlsUserNameFilterMethod()`
`InvitationStatus` | `getInvitationStatusCriteria()`
`String` | `getInviteAddressCriteria()`
`FilterMethod` | `getInviteAddressFilterMethod()`
`String` | `getSortOrderField()` Returns one of the ORDER_BY_ constants indicating what field results should be sorted by, or `null` if no sort order has been specified.
`String` | `getUserNameCriteria()`
`FilterMethod` | `getUserNameFilterMethod()`
`boolean` | `isCommunityIdCriteria()`
`boolean` | `isFromWlsUserNameCriteria()`
`boolean` | `isInvitationStatusCriteria()`
`boolean` | `isInviteAddressCriteria()`
`boolean` | `isSortOrderAscending()` Returns `true` if the sort order for results is ascending, `false` if the sort order is descending.
`boolean` | `isUserNameCriteria()`
`void` | `orderBy(String field, boolean ascending)` Used to specify the order for results to be returned.
`void` | `setCommunityId(CommunityDefinitionId communityId)` Specifies the `CommunityDefinitionId` used to search `Invitations` using this object.
`void` | `setFromWlsUsername(String fromWlsUserNamePattern, FilterMethod filterMethod)` Specifies the frolWlsUserName pattern an `Invitation` must match to be included.
`void` | `setInviteAddress(String inviteAddressPattern, FilterMethod filterMethod)` Specifies the inviteAddress pattern an `Invitation` must match to be included.
`void` | `setStatus(InvitationStatus invitationStatus)` Sets the desired `InvitationStatus` to apply to the search for `Invitations`.
`void` | `setUsername(String userNamePattern, FilterMethod filterMethod)` Specifies the userName pattern an `Invitation` must match to be included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### communityId

    protected CommunityDefinitionId communityId

### userName

    protected String userName

### fromWlsUserName

    protected String fromWlsUserName

### fromWlsUserNameFilter

    protected FilterMethod fromWlsUserNameFilter

### userNameFilter

    protected FilterMethod userNameFilter

### inviteAddress

    protected String inviteAddress

### invitationStatus

    protected InvitationStatus invitationStatus

### inviteAddressFilter

    protected FilterMethod inviteAddressFilter

### ORDER_BY_USERNAME

    public static final String ORDER_BY_USERNAME

  Constant used to indicate the field used to order query results- used in the orderBy() method. This will cause sorting by `Invitee` username.

  See Also
    Constants Summary

### ORDER_BY_INVITE_ADDRESS

    public static final String ORDER_BY_INVITE_ADDRESS

  Constant used to indicate the field used to order query results- used in the orderBy() method. This will cause sorting by `Invitee` external messaging address string.

  See Also
    Constants Summary

### ORDER_BY_STATUS

    public static final String ORDER_BY_STATUS

  Constant used to indicate the field used to order query results- used in the orderBy() method. This will cause sorting by `Invitation` status.

  See Also
    Constants Summary

### ORDER_BY_INVITE_DATE

    public static final String ORDER_BY_INVITE_DATE

  Constant used to indicate the field used to order query results- used in the orderBy() method. This will cause sorting by `Invitation` creation date.

  See Also
    Constants Summary

### ORDER_BY_FROM

    public static final String ORDER_BY_FROM

  Constant used to indicate the field used to order query results- used in the orderBy() method. This will cause sorting by `Invitation` sender username.

  See Also
    Constants Summary

Constructor Detail

### InvitationSearchCriteria

    public InvitationSearchCriteria()

  Default no arg constructor that does not set any search criteria.

### InvitationSearchCriteria

    public InvitationSearchCriteria(CommunityDefinitionId communityId)

  Constructor that sets a single search criteria, the `CommunityDefinitionId` of the `Invitations` to search for.

  Parameters
    `communityId` -

Method Detail

### setCommunityId

    public void setCommunityId(CommunityDefinitionId communityId)

  Specifies the `CommunityDefinitionId` used to search `Invitations` using this object. If this id is not supplied, the search will include `Invitations` for all communities.

  Parameters
    `communityId` -

### getCommunityId

    public CommunityDefinitionId getCommunityId()

### isCommunityIdCriteria

    public boolean isCommunityIdCriteria()

### setUsername

    public void setUsername(String userNamePattern,
                            FilterMethod filterMethod)

  Specifies the userName pattern an `Invitation` must match to be included. If this method is not called, or if `null` is used as the argument, userName is not used as a criteria for selecting Invitations.

  Parameters
    `userNamePattern` - the userName pattern Invitations must match to be included. If null, userName is not used as a criteria for selection.
    `filterMethod` - the filter method to use for the userName. FilterMethod.BEGINS_WITH indicates that the userName must begin with the specified pattern. FilterMethod.CONTAINS indicates that the userName must contain the specified pattern. FilterMethod.ENDS_WITH indicates that the userName must end with the specified pattern. FilterMethod.EQUALS indicates that the userName must equal the specified pattern string. Supplying any other FilterMethod constant will result in a FilterMethod.EQUALS being applied.

### getUserNameCriteria

    public String getUserNameCriteria()

### isUserNameCriteria

    public boolean isUserNameCriteria()

### getUserNameFilterMethod

    public FilterMethod getUserNameFilterMethod()

### setFromWlsUsername

    public void setFromWlsUsername(String fromWlsUserNamePattern,
                                   FilterMethod filterMethod)

  Specifies the frolWlsUserName pattern an `Invitation` must match to be included. If this method is not called, or if `null` is used as the argument, fromWlsUserName is not used as a criteria for selecting Invitations.

  Parameters
    `fromWlsUserNamePattern` - the fromWlsUserName pattern Invitations must match to be included. If null, fromWlsUserName is not used as a criteria for selection.
    `filterMethod` - the filter method to use for the fromWlsUserName. FilterMethod.BEGINS_WITH indicates that the fromWlsUserName must begin with the specified pattern. FilterMethod.CONTAINS indicates that the fromWlsUserName must contain the specified pattern. FilterMethod.ENDS_WITH indicates that the fromWlsUserName must end with the specified pattern. FilterMethod.EQUALS indicates that the fromWlsUserName must equal the specified pattern string. Supplying any other FilterMethod constant will result in a FilterMethod.EQUALS being applied.

### getFromWlsUserNameCriteria

    public String getFromWlsUserNameCriteria()

### isFromWlsUserNameCriteria

    public boolean isFromWlsUserNameCriteria()

### getFromWlsUserNameFilterMethod

    public FilterMethod getFromWlsUserNameFilterMethod()

### setInviteAddress

    public void setInviteAddress(String inviteAddressPattern,
                                 FilterMethod filterMethod)

  Specifies the inviteAddress pattern an `Invitation` must match to be included. If this method is not called, or if `null` is used as the argument, inviteAddress is not used as a criteria for selecting Invitations.

  Parameters
    `inviteAddressPattern` - the inviteAddress pattern invitations must match to be included. If null, inviteAddress is not used as a criteria for selection.
    `filterMethod` - the filter method to use for the inviteAddress. FilterMethod.BEGINS_WITH indicates that the inviteAddress must begin with the specified pattern. FilterMethod.CONTAINS indicates that the inviteAddress must contain the specified pattern. FilterMethod.ENDS_WITH indicates that the inviteAddress must end with the specified pattern. FilterMethod.EQUALS indicates that the inviteAddress must equal the specified pattern string. Supplying any other FilterMethod constant will result in a FilterMethod.EQUALS being applied.

### getInviteAddressCriteria

    public String getInviteAddressCriteria()

### isInviteAddressCriteria

    public boolean isInviteAddressCriteria()

### getInviteAddressFilterMethod

    public FilterMethod getInviteAddressFilterMethod()

### setStatus

    public void setStatus(InvitationStatus invitationStatus)

  Sets the desired `InvitationStatus` to apply to the search for `Invitations`. If value is set, only `Invitations` with the matching status will be returned, otherwise `Invitations` of all statuses may be returned.

  Parameters
    `invitationStatus` - the specified `InvitationStatus`

### isInvitationStatusCriteria

    public boolean isInvitationStatusCriteria()

### getInvitationStatusCriteria

    public InvitationStatus getInvitationStatusCriteria()

### orderBy

    public void orderBy(String field,
                        boolean ascending)

  Used to specify the order for results to be returned. Results may only be ordered by a single field; multiple calls to this method will serve only to reset the field being ordered by.

  Parameters
    `field` - one of the ORDER_BY_ constants indicating which field to order results by, or `null` if no sorting is to be used.
    `ascending` - if `true`, results will be ordered in an ascending manner, otherwise they will be ordered in a descending manner.
  Throws
    `IllegalArgumentException` - if the `field` argument is not one of the ORDER_BY_ constants or `null`.

### getSortOrderField

    public String getSortOrderField()

  Returns one of the ORDER_BY_ constants indicating what field results should be sorted by, or `null` if no sort order has been specified.

  Returns
    one of the ORDER_BY_ constants indicating which field results should be sorted by, or `null` if no sort order has been specified.

### isSortOrderAscending

    public boolean isSortOrderAscending()

  Returns `true` if the sort order for results is ascending, `false` if the sort order is descending. Sorting is done only if the `getSortOrderField()` method does not return null.

  Returns
    `true` if the sort order for results is ascending, `false` if the sort order is descending.

### copy

    public InvitationSearchCriteria copy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.